-- ******************
-- * Chat functions *
-- ******************

-- Functions: dumpValues, writeLine
--[[
dumpValues
writeLine
--]]



Chat = {};
Chat.Colors = {
   Default = "FFFFFF"; -- White
   Error = "FF0000"; -- Red
   Warning = "FFFF00"; -- Yellow
};

-- Chat. Accepts unknown number of arguments.
-- First arg is a delimiter to use between args. Calls Chat.writeLine to show result
Chat.dumpValues = function( d, ... )
   local s = {};
   for i = 1, arg.n do
      s[i] = correctValue( arg[i] );
   end
   s = table.concat( s, d );
   Chat.writeLine( s );
end

-- Chat. Shows messages in chat. Accepts unknown number of arguments.
-- If last arg equals Error or Warning, then changes color of the message
Chat.writeLine = function( ... )
   local colors = Chat.Colors;
   local color = colors["Default"];
   local msg = {};
   local n = arg.n;
   for i = 1, n do
      if ( i == n ) then
         local msgType = arg[n];
         if ( msgType == "Error" or msgType == "Warning" ) then
            color = colors[msgType];
            break;
         end
      end
      msg[i] = correctValue( arg[i] );
   end
   msg = table.concat( msg, "" );

   Turbine.Shell.WriteLine( "<rgb=#" .. color .. ">" .. _Lib.pName .. ": " .. msg .. "</rgb>" );
end
